### Method

# FwupdPlugin Plugin add_string

since: 1.8.4

#### Declaration [src]

    void
    fu_plugin_add_string (
      FuPlugin* self,
      guint idt,
      GString* str
    )

#### Description [src]

Add daemon-specific device metadata to an existing string.

Available since: 1.8.4

#### Parameters

`idt`

  Type: `guint`

  Indent level.

`str`

  Type: `GString`

  A string to append to.

  The data is owned by the caller of the method.